Subject: Re: [Last-Call] [I2nsf] Secdir last call review of draft-ietf-i2nsf-nsf-monitoring-data-model-12

From: "Mr. Jaehoon Paul Jeong" <[email-masked]>
Date: Wed, 26 Jan 2022 20:05:33 +0900

Hi Melinda,
Here is the revised draft of I2NSF Monitoring Interface:
https://datatracker.ietf.org/doc/html/draft-ietf-i2nsf-nsf-monitoring-data-model-13

Parick and I have addressed your comments from page 38 in the attached
revision letter.

Thanks for your help to improve our draft.

Best Regards,
Paul

On Thu, Nov 25, 2021 at 11:37 AM Melinda Shore via Datatracker <
[email-masked]> wrote:

> Reviewer: Melinda Shore
> Review result: Not Ready
>
> I've marked this "not ready" only because of the quality of the writing,
> which
> is both unidiomatic and ungrammatical throughout the document.  But, the
> draft
> has been through working group last call, and if the working group is good
> with
> it, I'm good with it - I'm here to do a security review, and it's basically
> fine in that regard.
>
> A couple of nits:
>
> In section 6, it seems to me that by having two different dampening
> messages
> you risk having both no-dampening and on-repetition active at the same time
> (implementers don’t always make good decisions).  Setting on-repetition to
> an
> impossible value (say, -1) could serve the same purpose as no-dampening and
> avoid possible implementation errors.
>
> I'm curious why you’re monitoring system things (cpu, disk), since
> presumably
> those are also being monitored elsewhere.
>
> In the security considerations section you may want to discuss some of the
> limitations of relying not he transport protocol to protect the data,
> particularly around data authenticity, etc.
>
>
>
> _______________________________________________
> I2nsf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i2nsf
>